package com.blueland.config.quartz.scan;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import com.blueland.config.quartz.service.ScheduleServiceI;

import lombok.extern.slf4j.Slf4j;

/**
* @author zhengTao
* @version 创建时间：2019年4月26日 下午8:17:11
   * 默认扫描job
*/
@Slf4j
public class DefaultScanJob implements Job {
	 
 
    @Autowired
    private ScheduleServiceI scheduleService;
 
    @Override
    public void execute(JobExecutionContext arg0) throws JobExecutionException {
        log.debug("starting default scan job...");
        try {
            this.scheduleService.proceedSchedule();
        } catch (Exception e) {
            throw new JobExecutionException(e);
        }
 
    }
 
}